Bug 12029 - Need to add drivers to install floppy
Need to add drivers to install floppy
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
Depends On:
  Show dependency treegraph
Reported: 2000-06-09 10:46 EDT by Peter Janes
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-16 11:11:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Janes 2000-06-09 10:46:37 EDT
I'm not certain this is a bug, but there's no in-depth information on
customized installs or kickstart installs that I've been able to find.

I need to use Kickstart to install a pre-compiled binary driver for Dell's
PERC RAID devices (percraid.o).  I have a driver disk, but don't want to
require the installers to have to copy it onto the hard drive.  What I've
attempted to do is to extract the appropriate object drivers from the
driver disk and add them to the modules.cgz in the install disk's
initrd.img.  This works to the point that the device is recognized (there's
an "indication" of percraid found), but when it's insmod'ed later it fails
with the (oxymoronic?) "Error -2 reading header: Success".

Doing a manual install with the separate driver disk works flawlessly, and
I'm certain I've included the correct 2.2.14-6.1.1BOOT drivers.
Comment 1 Erik Troan 2000-06-16 11:14:59 EDT
The install is failing to pull the driver out of the modules.cgz file. Try
using that disc for a normal NFS install and when you get a shell on VC2
(after the NFS mount), use gunzip and cpio to try and manually extract that
file to /tmp.

Note You need to log in before you can comment on or make changes to this bug.